<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Bootstrap demo</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi" crossorigin="anonymous">
  </head>

  <body>
    <main>
        <div class="row">
            <div class="col-3 bg-primary">
                <div class="container"><h1>opciones</h1>
                    <ul>
                       <li><a href="#" onclick="usuarioListados()" class="btn btn-info my-1">VISUALIZAR</a></li> 
                       <li><a href="pacienteNuevo.html" class="btn btn-info my-1">CREAR</a></li> 
                       <li><a href="index.html" class="btn btn-info my-1">ELIMINAR</a></li> 
                    </ul>
                </div>
            </div>

            <div class="col-9">
               <div class="container">
                  <nav class="navbar bg-warning">
                    <div class="container">
                      <a class="navbar-brand" href="#">
                         <img src="/docs/5.2/assets/brand/bootstrap-logo.svg" alt="Bootstrap" width="30" height="24">
                      </a>
                    </div>
                  </nav>
                  <!--tabla-->
                  <table class="table my-5" id="tabla">
                    <thead>
                      <tr>
                        <th scope="col">#</th>
                        <th scope="col">NOMBRE</th>
                        <th scope="col"></th>
                        <th scope="col">APELLIDO</th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr>
                        <th scope="row">1</th>
                        <td></td>
                        <td></td>
                        <td></td>
                      </tr>
                      <tr>
                        <th scope="row">2</th>
                        <td></td>
                        <td></td>
                        <td></td>
                      </tr>
                      <tr>
                        <th scope="row">3</th>
                        <td colspan="2"></td>
                        <td></td>
                      </tr>
                    </tbody>
                  </table>
               </div>
            </div>

        </div>
    </main>
  </body>
  <script>
  //funciones
    function saludo(){
      console.log("saludo!!")
    }
    function presionado(){
        console.log("boton presionado")
    }
    function usuarioListados(){
      fetch("http://localhost:8080/paciente/all")
      .then(response => response.json())
      .then(data=> { console.log(data)
        codigo="<tr><th>NOMBRE</th><th>TELEFONO</th></tr>"
        data.forEach(element => {
          console.log(element.nombrePac)
          codigo +="<tr><td>" + element.nombrePac +"</td><td>" + element.telefonoPac +"</td><tr>"
        })
        document.getElementById("tabla").innerHTML=codigo
      })
      .catch(error=>console.log(error))
    }

    

    //cogigo
    console.log("hola mundo!!")
    saludo()

    //usuarioListados()
  </script>
</html>